'******************************************************************************
'*  Name    : ENC28J60_UDP.INC                                                *
'*  Author  : Gabi MIHAILA                                                    *
'*  Notice  : Public  Release                                                 *
'*          :                                                                 *
'******************************************************************************
'*  Date    : 04-Dec-06                                                       *
'*  Version : 0.0.0.8                                                        *
'*  Compiler: P.D.S - Proton v.3.2.5.2                                        *
'*  Hosts   : Microchip 18 series                                             *
'*  Notes   : - ENC28J60 - "Demo" version Driver                              *
'*          : - Basic SPI Functions and registers declares                    *
'*          ; - follows the ENC28J60 datasheet dated July 2006                *
'*          ;   DS39662B                                                      *
'******************************************************************************
Device = 18F458                ' tested host
Xtal = 20                      ' tested Xtal
UNSIGNED_DWORDS = On
All_Digital = TRUE

Include "ENC28J60_Driver.Inc"  ' the driver file 

;##############################################################################

; Continuous DEMO -- Polling Loop
; supports ARP reply, ICMP reply And UDP reply 

;##############################################################################
DelayMS 100      ; some delay
INIT_ENC28J60    ; initialise the ENC28J60
DelayMS 1000     ; some delay

; Example on how to read the Revision ID of your chip
; un-comment following 3 lines to test it
; READ_ETH_CHIP_VERSION:
;   EREVID = read_mac_register adr_erevid
;   hrsout "Testing EREVID",10,13
;   hrsout bin8 EREVID," ", dec5 EREVID

SIMPLE_LOOP:                                       ; continuous demo LOOP
          While 1 = 1                              ;
                EIR = READ_ETH_REGISTER  ADR_EIR   ; poll the interrupts flags
                If EIR_PKTIF = 1 Then              ; if there are new, un-processed packets in rx buffer
                   READ_RX_BUFS                    ; go parse them  
                EndIf  
          Wend 

;####################    END Demo PROGRAM    ########################################

  



